Name:           monkey-bubble
Version:        0.3.2
Release:        0.fdr.3.2
Epoch:          0
Summary:        Game in the spirit of Frozen Bubble.

Group:          Amusements/Games
License:        GPL
URL:            http://home.gna.org/monkeybubble/
Source0:        http://home.gna.org/monkeybubble/downloads/monkey-bubble-0.3.2.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libgnomeui-devel
BuildRequires:  librsvg2-devel
BuildRequires:  gstreamer-plugins-devel
BuildRequires:  libcroco-devel
BuildRequires:  perl-XML-Parser
BuildRequires:  scrollkeeper
BuildRequires:  gettext
BuildRequires:  desktop-file-utils

Requires(post):  GConf2
Requires(post):   scrollkeeper
Requires(postun): scrollkeeper

%description
Monkey Bubble is a bust'a'move clone built using Gnometechnologies. It
currently supports 1 and 2 player games, is levelcompatible with frozen bubble,
and features svg vector graphics forresolution independent display.



%prep
%setup -q


%build
sed -i "s/GdkModifierType     /EggVirtualModifierType     /g;" src/ui/eggcellrendererkeys.c
%configure --disable-schemas-install
make %{?_smp_mflags}



%install
rm -rf ${RPM_BUILD_ROOT}
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL="1"
make install DESTDIR=${RPM_BUILD_ROOT}
%find_lang %{name}

find ${RPM_BUILD_ROOT} -type f -name "*.la" -exec rm -f {} ';'
desktop-file-install --vendor fedora --delete-original \
  --dir ${RPM_BUILD_ROOT}%{_datadir}/applications      \
  --add-category X-Fedora                              \
  ${RPM_BUILD_ROOT}%{_datadir}/applications/%{name}.desktop



%clean
rm -rf ${RPM_BUILD_ROOT}



%post
/sbin/ldconfig
export GCONF_CONFIG_SOURCE="$(gconftool-2 --get-default-source)"
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/%{name}.schemas &>/dev/null
scrollkeeper-update -q


%postun
/sbin/ldconfig
scrollkeeper-update -q


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README
%doc %{_datadir}/gnome/help/%{name}
%config %{_sysconfdir}/gconf/schemas/*
%{_bindir}/monkey*
%{_datadir}/%{name}
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/pixmaps/*
%{_datadir}/omf/%{name}



%changelog
* Fri Aug 13 2004 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:0.3.2-0.fdr.3
- GdkModifierType -> EggVirtualModifierType in src/ui/eggcellrendererkeys.c (#1915)

* Fri Jul 23 2004 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:0.3.2-0.fdr.2
- Corrected typo in Group.
- Removed redundant BuildReqs.

* Wed Jul 21 2004 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:0.3.2-0.fdr.1
- Update to 0.3.2.
- BuildReq perl-XML-Parser.
- BuildReq gstreamer-plugins-devel.
- BuildReq scrollkeeper.

* Fri Nov 21 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:0.1.6-0.fdr.4
- Drop .so files (for real this time).

* Mon Nov 17 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:0.1.6-0.fdr.3
- Drop .so files.

* Wed Nov 12 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:0.1.6-0.fdr.2
- BuildReqs desktop-file-utils, gettext, pkgconfig.
- BuildReq libcroco-devel.
- Removing .la files.
- No longer including empty NEWS file under docs.
- Excluding /usr/bin/gsttest.

* Mon Oct 13 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:0.1.6-0.fdr.1
- Initial RPM release.
